/*
Theme Name: Enterrom Child Theme (bb-theme)
Theme URI: https://www.enterrom.com
Version: 1.0
Description: An example child theme that can be used as a starting point for custom development.
Author: Enterrom.com
Author URI: https://www.entertop.com.my
template: bb-theme
*/

/* General */


/*For Iphone*/
a[href^=tel] { color: inherit; text-decoration: none; }

html[class *= "pp-modal-active-"] body{
	overflow: hidden;
}

a:hover{transition:0.3s;text-decoration:none;cursor: pointer;}

.justify p, .justify{text-align:justify;}

ul {
	padding-left: 0px;
}

.zindex-0{
	position:relative;
}

.zindex-1{
	position: relative;
	z-index: 1;
}

.zindex-2{
	position: relative;
	z-index: 2;
}

.zindex-3{
	position: relative;
	z-index: 3;
}

.zindex-4{
	position: relative;
	z-index: 4;
}

.zindex-5{
	position: relative;
	z-index: 5;
}


.nolink a, .nolink{
	pointer-events:none !important;
}

.fl-builder-edit .nolink a, 
.fl-builder-edit .nolink{
	pointer-events:all !important;
}


.zoom-in {
	overflow: hidden;
}

.zoom-in .fl-col-content{
	transform: scale(1);
	transition: 0.7s ;
}

.zoom-in:hover > .fl-col-content{
	transform: scale(1.1);
	transition: 0.7s;
}

.map{-webkit-filter: grayscale(100%);
filter: grayscale(100%);}


.nf-form-fields-required {
	display: none !important;
}


#fl-to-top {
	background-color: #fff;
	background-color: #159cd8;
	right: 30px;
}

#fl-to-top:hover {
	background-color: #8a92c3;
}

.fl-builder-edit .overflow-x, .fl-builder-edit .overflow-y{
	overflow: visible;
}

.overflow-x {
	overflow-x: hidden;
}

.overflow-y {
	overflow-y: hidden;
}

.full-height {
	height: 100vh;
}

.swiper-pagination {
	bottom: 50px !important;
}


.mega-menus ul.sub-menu {
	display: flex !important;
	flex-wrap: wrap !important;
	justify-content: center !important;
	align-items: normal !important;
	padding: 20px;
	border-radius: 30px 0px 30px 0px;
}

.mega-menus ul.sub-menu li {
	width: calc(20% - 20px) !important;
	margin: 10px !important;
	text-align: center !important;
	border: 1px solid #ccc !important;
	list-style: none !important;
	transition: 0.3s;
}


.mega-menus ul.sub-menu li:hover {
    color:#c4a469;
    border: 1px solid #c4a469 !important;
	transition:0.3s;
}

.menu-level-two .menu-item-text {
	padding: 0 !important;
}

.menu-level-two li.menu-item {
	border-bottom: solid 1px #cccccc96 !important;
}

.menu-level-two {
	text-align: center;
}

.menu-level-two a {
	padding: 8px !important;
	font-size: 15px !important;
}


.pp-advanced-menu .sub-menu {
	width: 100% !important;
	text-align: center !important;
	box-shadow: 1px 2px 5px 1px rgba(2,0,0,0.61);
	padding: 5px 20px !important;
	border-radius: 40px 0px 40px 0px;
}



.fl-button-lightbox-content {
	background: #fff0 none repeat scroll 0 0 !important;
	margin: 20px auto;
	max-width: 1000px !important;
	padding: 20px;
	position: relative;
	width: auto;
}

.mfp-close-btn-in .mfp-close {
	color: #fff !important;
}



#fl-to-top {
	background-color: #bfe2dd;
	right: 26px;
	border-radius: 50px;
	position: fixed;
	bottom: 15px;
	right: 25px;
	width: 55px;
	height: 55px;
	text-align: center;
	z-index: 1003;
}

#fl-to-top i {
	position: absolute;
	top: 18px;
	left: 20px;
	color: #fff;
	font-size: 16px;
	line-height: 16px;
}

#fl-to-top:hover {
	background-color: #fec1c1;
	border: solid 1px #fff;
}

.fl-page {
	overflow-x: hidden;
}


.fl-node-78corjezntq0 .flex {
	align-items: normal;
}

/* End General */



/*Post Listing*/

.single-post .heading-title {
	font-size: 23px;
}


.fl-widget {
	margin-bottom: 20px !important;
}

.row.fl-post-image-beside-wrap {
	display: flex;
}

.fl-post-thumb img {
	height: auto !important;
	max-width: 100%;
	width: 600px;
	margin-top: -120px;
}

.fl-post-author, .fl-sep {
	display: none;
}

.widgettitle {
	display: none !important;
}

.row.fl-post-image-beside-wrap {
	display: flex;
	margin-left: 0;
}

.fl-post-thumb {
	margin-bottom: 25px;
	height: 300px;
	overflow: hidden;
	width: 100%;
}

a.tag-cloud-link {
	font-size: 14px !important;
}

.wp-block-categories-list, .wp-block-archives-list, .wp-block-tag-cloud {
	margin-top: -10px !important;
}

.radius-img img {
	border-radius: 40px 0px 40px 0px;
}


/*End Post Listing*/


/*Start Slider*/


/*End Slider*/


/*Start Home*/

.omta .pp-photo-gallery-item.has-caption {
	position: relative !important;
}

.omta .pp-photo-gallery-caption {
	position: absolute;
	z-index: 1;
	bottom: 0;
}

.omta .pp-photo-gallery .pp-photo-gallery-item:first-child .pp-photo-gallery-content {
	border-radius: 120px 0px 0px 0px !important;
}

.omta .pp-photo-gallery .pp-photo-gallery-item:last-child .pp-photo-gallery-content {
	border-radius: 0px 0px 120px 0px !important;
}

.pp-testimonials-heading {
	margin-bottom: 30px;
}

.pp-testimonials .layout-2 .pp-content-wrapper {
	margin-bottom: 0px;
}

.pp-vertical-align {
	margin: 0px 20px;
}

.carousel-img .pp-image-carousel {
	border-radius: 50px 0px 50px 0px;
}

.pp-photo-gallery .pp-photo-gallery-content .pp-gallery-img {
	transform: scale(1.1) !important
}


.pp-photo-gallery .pp-photo-gallery-content:hover .pp-gallery-img {
	transform: scale(1.5) !important
}


.testimonial .owl-dots {
	margin-top: 20px;
}

/*End Home*/


/*Start About*/

.space-arrow .pp-swiper-button-prev {
	left: -22px;
}

.space-arrow .pp-swiper-button-next {
	right: -22px;
}

.sphere {
	width: 320px !important;
	height: 320px !important;
	padding: 5px 10px;
}

.pp-post-timeline-icon:hover {
	background-color: #fdc1c1 !important;
	transition: 0.3s;
}

/*End About*/


/*Start Product*/

.product-section-two .fl-bg-video {
	border-radius: 40px;
}

.product-section-two .pp-image-carousel .pp-carousel-image-container figure.use-as-background .swiper-slide-image  {
	object-fit: contain !important;
	width: 90% !important;
}

.product-section-one .pp-image-carousel .pp-carousel-image-container figure.use-as-background .swiper-slide-image {
	object-fit: cover !important;
	width: 90% !important;
	border-radius: 0px 80px 0px 80px;
}

.product-section-one .pp-image-carousel-wrapper .pp-swiper-button-prev {
	left: -18px;
}

.product-section-one .pp-image-carousel-wrapper .pp-swiper-button-next {
	right: -18px;
}

.product-section-one .pp-image-carousel-wrapper .pp-swiper-button svg, .product-section-two .pp-image-carousel-wrapper .pp-swiper-button svg, .product-section-four .pp-image-carousel-wrapper .pp-swiper-button svg {
	height: 65px;
}
.product-section-one .pp-image-carousel-wrapper .pp-swiper-button svg path, .product-section-two .pp-image-carousel-wrapper .pp-swiper-button svg path, .product-section-four .pp-image-carousel-wrapper .pp-swiper-button svg path {
	fill: #bbe3d9 !important;
}

.product-section-one .pp-image-carousel-wrapper .pp-swiper-button svg path:hover, .product-section-two .pp-image-carousel-wrapper .pp-swiper-button svg path:hover, .product-section-four .pp-image-carousel-wrapper .pp-swiper-button svg path:hover {
	fill: #cccc !important;
}

.product-section-two .pp-image-carousel-wrapper .pp-swiper-button-prev {
	left: 35px;
	margin-top: 15px;
}

.product-section-two .pp-image-carousel-wrapper .pp-swiper-button-next {
	right: 35px;
	margin-top: 15px;
}


.product-section-one .number-services {
	display: none !important;
}


.product-section-four .swiper-pagination {
	bottom: 0 !important;
}

.product-section-four .swiper-pagination-bullet-active, .product-section-four .swiper-pagination-bullet:hover{
	background-color:#bbe3d9 !important;
}

.product-section-four .swiper-pagination-bullet{
	background-color:#ccc;
}




/*End Product*/


/*Start Services*/

.product-section-one .swiper-pagination {
	color: #fff !important;
}

.box-carousel .pp-image-carousel-item .pp-image-overlay.fade {
	opacity: 1;
	transition:0.3s;
}

.box-carousel .pp-carousel-image-container:hover .pp-caption {
	color:#000;
	transition:0.3s;
}

.box-carousel .pp-carousel-image-container:hover .pp-image-overlay {
	background: rgba(38, 39, 40, 0.7);
}

.box-carousel .pp-image-overlay {
	/* background: rgba(255, 255, 255, 0.7) !important; */
	background-image: url("/wp-content/uploads/2024/03/abstract-purple-pink-cloud.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	}

.box-carousel .pp-image-overlay:hover {
	background: #ffb5b4a6 !important;
}

.box-carousel .pp-image-overlay .pp-caption {
	color: #535353;
	font-size: 16px;
}

.box-carousel .pp-caption span {
	font-weight: bold;
}

.box-carousel  .pp-image-carousel-wrapper .pp-swiper-button svg path {
	fill: #e05855;
}

.box-carousel button, .box-carousel input[type="button"], .box-carousel input[type="submit"] {
	background-color: transparent;
}

.box-carousel .pp-swiper-button-next {
	margin-right: -20px;
}

.box-carousel .pp-swiper-button-prev {
	margin-left: -20px;
}

.number-services {
	display: flex !important;
	flex-wrap: wrap;
	justify-content: flex-start;
	align-items: stretch;
}

.number-services .fl-number-before-text {
	position: absolute;
	left: 130px;
	width: 250px;
	text-align: left !important;
	top: 20px;
}
.number-services .fl-module-content {
	border: solid 2px #bfe2dd;
	border-radius: 100px;
	width: 120px;
	height: 120px;
	padding-top: 15px;
	margin-left: 0;
}

/*End Services*/


/*Footer*/
.contact-box .pp-infobox-wrap {
	height: 200px;
}

.contact-box .fl-col-content:hover {
	background-color: #adadad !important;
	transition: 0.3s;
}

.contact-box .fl-col-content:hover .pp-icon {
	color: #fff !important;
	transition: 0.3s;
}

.contact-box .fl-col-content:hover a, .contact-box .fl-col-content:hover strong, .contact-box .fl-col-content:hover p{
	color: #fff !important;
	transition: 0.3s;
}




@media only screen and (max-width: 1700px) and (min-width: 1200px) {
	
	h2 {
	font-size: 40px;
	}
	
	h3 {
	font-size: 25px !important;
	line-height: 30px;
	}
	
	h5 {
	font-size: 17px;
	}
	
	.inner-banner .column-two {
	width: 10% !important;
	}
	
	.inner-banner .fl-row-content-wrap {
	min-height: 350px !important;
	padding-top: 100px;
	}
	
	.hide-on-small-laptop {
		display:none !important;
	}
	
	.ss-content {
	padding-top: 60px;
	}
	
	.review3 {
	width: 0px !important;
	}
	
	.head1 {
	font-size: 30px !important;
	padding : 0 !important;
	margin:0 !important;
	}
	
	.head2 {
	font-size: 50px !important;
	margin: 0 !important;
	padding: 0 !important;
	}
	
	.about-item .fl-module-content {
	margin-top: 0;
	}
	
	.pp-testimonials-title {
	font-size: 18px !important;
	}
	
	
	.sphere {
	width: 280px !important;
	height: 280px !important;
	}
	
	.sphere .pp-infobox {
	width: 230px;
	height: 200px;
	}
	
	.sphere .pp-infobox-description {
	font-size: 16px;
	margin-top: -10px !important;
	}
	
	.aboutus .fl-row-content-wrap {
	padding: 40px 0px 0px 40px;
	}
	
	.about-right {
	width: 40%;
	}
	
	.about-left {
	width: 60%;
	}
	
	.fl-node-x4lgz71epc5q > .fl-col-content {
	padding-top: 90px;
	padding-bottom: 40px;
	}
	
	.gallery-grid .fl-col-content {
	margin-top: -40px;
	}
	
	.wcu .fl-row-content-wrap {
	padding-left: 20px;
	padding-right: 20px;
	}
	
	.video {
	padding-left: 120px;
	padding-right: 120px;
	}
	
	.name-vdo .fl-module-content {
	margin: 20px 0px 20px 200px;
	}
	
	
	.milestone .pp-post-timeline-text-wrapper {
	padding: 20px 0px !important;
	}
	
	.cert .fl-module-content {
	margin: 20px !important;
	}
	
	.blog .pp-content-post .pp-content-body {
	padding-top: 10px;
	padding-right: 10px;
	padding-bottom: 10px;
	padding-left: 10px;
	}
	
	
	.sphere-01 {
	margin-left: -160px;
	}
	
	.sphere-02 {
	margin-left: -40px;
	}
	
	.sphere-01, .sphere-02 {
	width: 250px;
	}
	
	.sphere-01 .pp-description-wrap, .sphere-02 .pp-description-wrap  {
	font-size: 17px;
	}
	
	.sphere-01 .fl-col-content, .sphere-02 .fl-col-content {
	min-height: 320px !important;
	margin: 0 !important;
	background-size: contain;
	}
	
	.sphere-01 .fl-module-content, .sphere-02 .fl-module-content {
	margin: -50px 40px 0px 40px;
	}
	
	.sphere-01 .pp-infobox, .sphere-02 .pp-infobox {
	padding: 0px !important;
	}
	
	.box-carousel .pp-image-overlay .pp-caption {
	font-size: 15px;
}
	
	

}

@media only screen and (max-width: 1700px) and (min-width: 1600px) {
	
	.sphere-01 .fl-col-content, .sphere-02 .fl-col-content {
	min-height: 380px !important;
	}
	
}


/* Mobile screen size - landscape view */
@media (max-width: 1200px) {
	
	.left-heading .fl-module-content {
	margin-right: 120px !important;
	}
   
}


/* Portrait tablet to landscape and desktop */
@media (min-width: 768px) and (max-width: 980px) {
}


/* Mobile screen size - landscape view */
@media (max-width: 767px) {
   
}

/* Mobile screen size */
@media (max-width: 480px) {
	
	h1 {font-size:26px !important;}
	h2 .pp-secondary-title, h2 {
	font-size: 23px !important;}
	h3 {font-size:17px !important;}
	h4{font-size:15px !important;}
	p {font-size:14px !important;}
	
	.about-item-1 .title-text {
	font-size: 24px;
	}
	
	.pp-advanced-menu .menu > li > a{
	color: #fff !important;
	}
	
	.sphere {
	width: 290px !important;
	height: 280px !important;
	}
	
	.pp-advanced-menu.full-screen .pp-menu-overlay ul.menu {
	width: 100% !important;
	}
	
	.pp-advanced-menu .menu a {
	font-size: 25px !important;
	}

	.number-services .fl-number-before-text {
	position: absolute;
	left: 100px;
	width: 200px;
	text-align: left !important;
	top: 5px;
	}
	
	.number-services .fl-module-content {
	width: 90px;
	height: 90px;
	}
	
	.review1 #n2-ss-2item4 {
	text-align: right !important;
	padding-right: 20px !important;
	}
	
	.review2 #n2-ss-2item5 {
	width: 100px;
	margin-left: -60px;
	}
	
	.head2 #n2-ss-2item2 {
	text-align: center !important;
	}
	
	.main-m .pp-has-submenu-container a {
	color: #fff !important;
	}
	
	.main-m .pp-has-submenu-container a .pp-menu-toggle::before {
	border-color: #fff !important;
	}

	.main-m .sub-menu a{
	color: #676a75 !important;
	}
	
	.main-m .sub-menu a .pp-menu-toggle::before {
	border-color: #676a75 !important;
	}
	
	#fl-to-top {
	bottom: 137px;
	right: 22px;
	}
	
	.pp-advanced-menu .pp-menu-overlay > ul.menu {
	padding: 20px !important;
	}
	
	.pp-advanced-menu-horizontal.pp-toggle-arrows .pp-menu-toggle {
	right: 0 !important;
	left: auto !important;
	}
	
	.contact-box  .fl-col {
	height: 200px;
	}
	
	.product-section-six .fl-button {
	padding: 13px !important;
	}

    
}